Skip to main content
POST
/
firework
/
v4
/
matching_policies
/
{policy_uuid}
/
assignments
Assign Policy
curl --request POST \
  --url https://api.flare.io/firework/v4/matching_policies/{policy_uuid}/assignments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "identifier_ids": [
    123
  ],
  "clean_past_events": false
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt

Use this file to discover all available pages before exploring further.

The endpoint is still in beta and is subject to change.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

policy_uuid
string<uuid>
required

Body

application/json
identifier_ids
integer[]
required

The IDs of the identifiers to assign the policy to

clean_past_events
boolean
default:false

Whether this policy will be applied to historical events

Response

Successful Response